Bug 84517 - Problem when recoding l2..l1 and first char is with caron
Problem when recoding l2..l1 and first char is with caron
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: recode (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-18 03:43 EST by Petr Kubicek
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 10:48:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Kubicek 2003-02-18 03:43:54 EST
Description of problem:
Bad output of recode when first char is accented but acute

Version-Release number of selected component (if applicable):
GNU version 3.6.6

How reproducible:
echo  "čšst" | recode l2..l1

Steps to Reproduce:
1.
2.
3.
    
Actual results:

"nothing" with return value 0

Expected results:

csst

Additional info:

This bug is only in GNU 3.6 tree of recode. When I use recode version 3.5d from
original 
site (http://www.iro.umontreal.ca/contrib/recode/HTML/index.html) it is OK.
please note that first character of the converted string is c with caron in
8859-2 coding.
The results are the same for all accented characters but these ones with acute
from 8859-2.
Comment 1 Bill Nottingham 2006-08-07 13:45:09 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 2 Bill Nottingham 2006-10-18 10:48:29 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.